cURL
curl --request PATCH \
--url https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ancestors": "<array>",
"id": "<string>",
"kind": "<string>",
"leaf": true,
"leafInNotOutdatedTree": true,
"name": "<string>",
"name_i18n": "<string>",
"outdated": true,
"parentId": "<string>",
"shortName": "<string>",
"value": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/values"
payload = {
"ancestors": "<array>",
"id": "<string>",
"kind": "<string>",
"leaf": True,
"leafInNotOutdatedTree": True,
"name": "<string>",
"name_i18n": "<string>",
"outdated": True,
"parentId": "<string>",
"shortName": "<string>",
"value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ancestors: '<array>',
id: '<string>',
kind: '<string>',
leaf: true,
leafInNotOutdatedTree: true,
name: '<string>',
name_i18n: '<string>',
outdated: true,
parentId: '<string>',
shortName: '<string>',
value: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/category/v1/libraries/{libraryId}/categories/{categoryId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
category
Patch categoryv1libraries categories values
Updates a category value of a category in a library.
PATCH
/
category
/
v1
/
libraries
/
{libraryId}
/
categories
/
{categoryId}
/
values
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
The ID of the category
Body
application/json
Ancestor category values from direct parent to root - only present with loadCategoryValue
The ID of the category value
Whether the category value is leaf
Whether the category value is leaf without not outdated child
The name of the category value
The internationalized name of the category value (read-only field)
Whether the category value is marked as outdated
The ID of the parent category value (read-only field)
The short name of the category value
(Deprecated) The ID of the category value
Response
204
A successful response
⌘I